**********************************************************************
* Function Name:  NOHACK()
*
*   Description:  Hide or unhide a dbase III file.
*
*    Parameters:  mfile = dbase filename with or w/o extension
*                 show  = logical value
*                         True  = Show file
*                         False = Hide file
*
*        Syntax:  NOHACK(filename,logical)
*
*                 There are no default values.
*
*         Given:  dBASE III valid first bytes:
*
*                       CHR(131) - For a file with an associated Memo file.
*                       CHR(03)  - For all other dBASE III Files
*
*        Author:  Mark Bachrach - CACI, Inc. - Federal
*
*      Modified:  Wayne Fuller
*                 Ed Stoll - Acquisition Dynamics, Incorporated.
*
**********************************************************************
Function NOHACK
parameter mfile, show

mperiod = AT(".", mfile)

IF mperiod = 0
   filedesig = mfile+".dbf"
ELSE
   filedesig = mfile
   mfile = SUBSTR(mfile,1,mperiod-1)
ENDIF

memoexist = is_memo(mfile)

if memoexist
   show_value = CHR(131)
else
   show_value = CHR(3)
endif

IF FILE(filedesig)
   fhandle = FOPEN("&filedesig",1)

   IF fhandle <> -1
      byte1 = ' '
      FREAD(fhandle,@byte1,1)
      FWRITE(fhandle,IF(show,show_value,chr(26)))
      FCLOSE(fhandle)
   ENDIF

ENDIF

Return(.t.)
*
Function is_memo
Parameter memofile
memofile = memofile+".dbt"
Return (file(memofile))
